> ## Documentation Index
> Fetch the complete documentation index at: https://doc.waytoapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Music Generate



## OpenAPI

````yaml POST /suno/music/generate
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.waytoapi.com/apidoc/collect/ai
    description: Generated server url
security:
  - ApiKeyAuth: []
paths:
  /suno/music/generate:
    post:
      tags:
        - mountsea-controller
      operationId: sunoMusicGenerate
      parameters:
        - name: aiKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SunoMusicGenerateReq'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CallResultSoraVideoGenerateRes'
components:
  schemas:
    SunoMusicGenerateReq:
      type: object
      properties:
        task:
          type: string
        model:
          type: string
        make_instrumental:
          type: boolean
        prompt:
          type: string
        continued_aligned_prompt:
          type: string
        infill_lyrics:
          type: string
        gpt_description_prompt:
          type: string
        tags:
          type: array
          items:
            type: string
        negative_tags:
          type: array
          items:
            type: string
        title:
          type: string
        clip_id:
          type: string
        continue_at:
          type: integer
          format: int32
        range:
          $ref: '#/components/schemas/Range'
        infill_context_range:
          $ref: '#/components/schemas/InfillContextRange'
        persona:
          $ref: '#/components/schemas/Persona'
        controls:
          $ref: '#/components/schemas/Controls'
        vocal_gender:
          type: string
    CallResultSoraVideoGenerateRes:
      type: object
      properties:
        code:
          type: integer
          format: int32
        info:
          type: string
        result:
          $ref: '#/components/schemas/SoraVideoGenerateRes'
        success:
          type: boolean
        failure:
          type: boolean
    Range:
      type: object
      properties:
        start_s:
          type: integer
          format: int32
        end_s:
          type: integer
          format: int32
    InfillContextRange:
      type: object
      properties:
        start_s:
          type: integer
          format: int32
        end_s:
          type: integer
          format: int32
    Persona:
      type: object
      properties:
        artist_clip_id:
          type: string
        persona_id:
          type: string
    Controls:
      type: object
      properties:
        style_weight:
          type: integer
          format: int32
        audio_weight:
          type: integer
          format: int32
        weirdness_constraint:
          type: integer
          format: int32
    SoraVideoGenerateRes:
      type: object
      properties:
        taskCode:
          type: string

````